Package io.axoniq.dataprotection.cryptoengine

## Enum KeyType

- java.lang.Object
- - java.lang.Enum<KeyType>
  - - io.axoniq.dataprotection.cryptoengine.KeyType

- All Implemented Interfaces:
    `Serializable`, `Comparable<KeyType>`

      public enum KeyType
      extends Enum<KeyType>

  Enum used to describe key type/length. Currently, the module supports AES at all available key lengths.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AES_128` | Represents a 128-bit AES key.
    `AES_192` | Represents a 192-bit AES key.
    `AES_256` | Represents a 256-bit AES key.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeyType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KeyType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AES_256

          public static final KeyType AES_256

      Represents a 256-bit AES key.

    - #### AES_192

          public static final KeyType AES_192

      Represents a 192-bit AES key.

    - #### AES_128

          public static final KeyType AES_128

      Represents a 128-bit AES key.

  - ### Method Detail

    - #### values

          public static KeyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyType c : KeyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null